[glib/wip/3v1n0/support-can-fail-tests: 1/3] ci: Show commands run from the test scripts




commit d502f3d49697f6657f77c5fea0114744d6d8e8cb
Author: Marco Trevisan (TreviƱo) <mail 3v1n0 net>
Date:   Thu Oct 20 03:07:52 2022 +0200

    ci: Show commands run from the test scripts
    
    It allows better debugging in case of failures.

 .gitlab-ci/coverage-docker.sh | 2 +-
 .gitlab-ci/run-tests.sh       | 1 +
 .gitlab-ci/test-msys2.sh      | 2 +-
 3 files changed, 3 insertions(+), 2 deletions(-)
---
diff --git a/.gitlab-ci/coverage-docker.sh b/.gitlab-ci/coverage-docker.sh
index 0b9abc0175..81d49e4c3b 100755
--- a/.gitlab-ci/coverage-docker.sh
+++ b/.gitlab-ci/coverage-docker.sh
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-set -e
+set -ex
 
 # Fixup Windows paths
 python3 ./.gitlab-ci/fixup-cov-paths.py _coverage/*.lcov
diff --git a/.gitlab-ci/run-tests.sh b/.gitlab-ci/run-tests.sh
index b63130a97c..73adb81a36 100755
--- a/.gitlab-ci/run-tests.sh
+++ b/.gitlab-ci/run-tests.sh
@@ -1,4 +1,5 @@
 #!/bin/bash
+set -x
 
 ./.gitlab-ci/check-missing-install-tag.py _build
 
diff --git a/.gitlab-ci/test-msys2.sh b/.gitlab-ci/test-msys2.sh
index 5f9dcbd918..8b827c040f 100755
--- a/.gitlab-ci/test-msys2.sh
+++ b/.gitlab-ci/test-msys2.sh
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-set -e
+set -ex
 
 export PATH="/c/msys64/$MSYSTEM/bin:$PATH"
 if [[ "$MSYSTEM" == "MINGW32" ]]; then


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]